aboutsummaryrefslogtreecommitdiffstats
path: root/devel/sbt/files
diff options
context:
space:
mode:
Diffstat (limited to 'devel/sbt/files')
-rw-r--r--devel/sbt/files/patch-bin_sbt14
-rw-r--r--devel/sbt/files/patch-bin_sbt-launch-lib.bash33
2 files changed, 37 insertions, 10 deletions
diff --git a/devel/sbt/files/patch-bin_sbt b/devel/sbt/files/patch-bin_sbt
index a89c35c970d9..1f16f06fe62a 100644
--- a/devel/sbt/files/patch-bin_sbt
+++ b/devel/sbt/files/patch-bin_sbt
@@ -1,20 +1,20 @@
---- bin/sbt.orig 2016-10-28 17:46:00 UTC
+--- bin/sbt.orig 2017-08-29 21:39:02 UTC
+++ bin/sbt
-@@ -62,7 +62,7 @@ cygwinpath() {
+@@ -63,7 +63,7 @@ cygwinpath() {
declare -r noshare_opts="-Dsbt.global.base=project/.sbtboot -Dsbt.boot.directory=project/.boot -Dsbt.ivy.home=project/.ivy"
declare -r sbt_opts_file=".sbtopts"
--declare -r etc_sbt_opts_file="${sbt_home}/conf/sbtopts"
-+declare -r etc_sbt_opts_file="${sbt_home}/etc/sbtopts"
+-declare -r etc_sbt_opts_file="/etc/sbt/sbtopts"
++declare -r etc_sbt_opts_file="%%PREFIX%%/etc/sbtopts"
+ declare -r dist_sbt_opts_file="${sbt_home}/conf/sbtopts"
declare -r win_sbt_opts_file="${sbt_home}/conf/sbtconfig.txt"
- usage() {
-@@ -99,7 +99,7 @@ Usage: $script_name [options]
+@@ -101,7 +101,7 @@ Usage: $script_name [options]
SBT_OPTS environment variable, if unset uses "$default_sbt_opts"
.sbtopts if this file exists in the current directory, its contents
are prepended to the runner args
- /etc/sbt/sbtopts if this file exists, it is prepended to the runner args
-+ ${sbt_home}/etc/sbtopts if this file exists, it is prepended to the runner args
++ %%PREFIX%%/etc/sbtopts if this file exists, it is prepended to the runner args
-Dkey=val pass -Dkey=val directly to the java runtime
-J-X pass option -X directly to the java runtime
(-J is stripped)
diff --git a/devel/sbt/files/patch-bin_sbt-launch-lib.bash b/devel/sbt/files/patch-bin_sbt-launch-lib.bash
index 0493e7ae53df..b33892183f5e 100644
--- a/devel/sbt/files/patch-bin_sbt-launch-lib.bash
+++ b/devel/sbt/files/patch-bin_sbt-launch-lib.bash
@@ -1,11 +1,38 @@
---- bin/sbt-launch-lib.bash.orig 2016-10-28 17:46:00 UTC
+--- bin/sbt-launch-lib.bash.orig 2017-08-29 21:39:02 UTC
+++ bin/sbt-launch-lib.bash
-@@ -26,7 +26,7 @@ dlog () {
+@@ -26,7 +26,7 @@ while [ -h "$SCRIPT" ] ; do
+ fi
+ done
+ declare -r sbt_bin_dir="$(dirname "$SCRIPT")"
+-declare -r sbt_home="$(dirname "$sbt_bin_dir")"
++declare -r sbt_home="$sbt_bin_dir"
+
+ echoerr () {
+ echo 1>&2 "$@"
+@@ -39,7 +39,7 @@ dlog () {
}
jar_file () {
- echo "$(cygwinpath "${sbt_home}/bin/sbt-launch.jar")"
-+ echo "$(cygwinpath "${sbt_bin_dir}/sbt-launch.jar")"
++ echo "$(cygwinpath "${sbt_home}/sbt-launch.jar")"
}
acquire_sbt_jar () {
+@@ -172,14 +172,14 @@ process_args () {
+ syncPreloaded() {
+ if [[ "$init_sbt_version" == "" ]]; then
+ # FIXME: better $init_sbt_version detection
+- init_sbt_version="$(ls -1 "$sbt_home/lib/local-preloaded/org.scala-sbt/sbt/")"
++ init_sbt_version="$(ls -1 "$sbt_home/local-preloaded/org.scala-sbt/sbt/")"
+ fi
+ [[ -f "$HOME/.sbt/preloaded/org.scala-sbt/sbt/$init_sbt_version/jars/sbt.jar" ]] || {
+ # lib/local-preloaded exists (This is optional)
+- [[ -d "$sbt_home/lib/local-preloaded/" ]] && {
++ [[ -d "$sbt_home/local-preloaded/" ]] && {
+ command -v rsync >/dev/null 2>&1 && {
+ mkdir -p "$HOME/.sbt/preloaded"
+- rsync -a --ignore-existing "$sbt_home/lib/local-preloaded/" "$HOME/.sbt/preloaded"
++ rsync -a --ignore-existing "$sbt_home/local-preloaded/" "$HOME/.sbt/preloaded"
+ }
+ }
+ }